Package com.io7m.idstore.server.service.configuration.jaxb

# Class SMTPType

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.MailTransportType
com.io7m.idstore.server.service.configuration.jaxb.SMTPType

public class SMTPType extends MailTransportType
Settings for communicating over SMTP without encryption.

Java class for SMTPType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SMTPType">
       <complexContent>
         <extension base="{urn:com.io7m.idstore:configuration:1}MailTransportType">
           <attribute name="Host" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="Port" use="required" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `host`
  `protected long`
  `port`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SMTPType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHost()`
  Gets the value of the host property.
  `long`
  `getPort()`
  Gets the value of the port property.
  `void`
  `setHost(String value)`
  Sets the value of the host property.
  `void`
  `setPort(long value)`
  Sets the value of the port property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### host

    protected String host

  - ### port

    protected long port

- ## Constructor Details

  - ### SMTPType

    public SMTPType()

- ## Method Details

  - ### getHost

    public String getHost()
    Gets the value of the host property.
    Returns:
      possible object is `String`

  - ### setHost

    public void setHost(String value)
    Sets the value of the host property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPort

    public long getPort()
    Gets the value of the port property.

  - ### setPort

    public void setPort(long value)
    Sets the value of the port property.